Skip to main content
GET
/
v1
/
workflows
/
edges
/
versions
/
{edge_version_id}
Get Edge Version
curl --request GET \
  --url https://api.retab.com/v1/workflows/edges/versions/{edge_version_id} \
  --header 'Api-Key: <api-key>'
{
  "id": "<string>",
  "edge_id": "<string>",
  "workflow_id": "<string>",
  "workflow_version_id": "<string>",
  "source": "<string>",
  "target": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "source_handle": "<string>",
  "target_handle": "<string>",
  "animated": true
}
Fetch one immutable workflow edge version.
Python
edge_version_id = "egv_abc123"
print(edge_version_id)
TypeScript
const edgeVersionId = "egv_abc123";
console.log(edgeVersionId);
Go
edgeVersionID := "egv_abc123"
_ = edgeVersionID
Java
String edgeVersionId = "egv_abc123";
System.out.println(edgeVersionId);
cURL
curl "https://api.retab.com/v1/workflows/edges/versions/egv_abc123?workflow_id=wf_abc123" \
  -H "Api-Key: $RETAB_API_KEY"

Authorizations

Api-Key
string
header
required

Path Parameters

edge_version_id
string
required

Response

Successful Response

Public edge version resource without tenant fields.

id
string
required

Public content-addressed edge version ID

edge_id
string
required

Stable logical edge ID

workflow_id
string
required

Source workflow ID

workflow_version_id
string
required

Workflow version this edge version belongs to

source
string
required

ID of the source block

target
string
required

ID of the target block

created_at
string<date-time>
required
source_handle
string | null
target_handle
string | null
animated
boolean
default:true